SIGAJA/Models/ErrorViewModel.cs
namespace SIGAJA.Models
{
    public class ErrorViewModel
    {
        public string? RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

SIGAJA/Models/SIGAJA_IEPContext.cs
using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata;

namespace SIGAJA.Models
{
    public partial class SIGAJA_IEPContext : DbContext
    {
        public SIGAJA_IEPContext()
        {
        }

        public SIGAJA_IEPContext(DbContextOptions<SIGAJA_IEPContext> options)
            : base(options)
        {
        }

        public virtual DbSet<Usuario> Usuarios { get; set; } = null!;

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (!optionsBuilder.IsConfigured)
            {
//#warning To protect potentially sensitive information in your connection string, you should move it out of source code. You can avoid scaffolding the connection string by using the Name= syntax to read it from configuration - see https://go.microsoft.com/fwlink/?linkid=2131148. For more guidance on storing connection strings, see http://go.microsoft.com/fwlink/?LinkId=723263.
//                optionsBuilder.UseSqlServer("server=localhost; database=SIGAJA_IEP; integrated security=true;");
            }
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Usuario>(entity =>
            {
                entity.ToTable("Usuario");

                entity.Property(e => e.ApellidoMaterno)
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ApellidoPaterno)
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Dni)
                    .HasMaxLength(50)
                    .IsUnicode(false)
                    .HasColumnName("DNI");

                entity.Property(e => e.FechaNacimiento).HasColumnType("date");

                entity.Property(e => e.Nombre)
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Sexo)
                    .HasMaxLength(50)
                    .IsUnicode(false);
            });

            OnModelCreatingPartial(modelBuilder);
        }

        partial void OnModelCreatingPartial(ModelBuilder modelBuilder);
    }
}

SIGAJA/Models/Usuario.cs
using System;
using System.Collections.Generic;

namespace SIGAJA.Models
{
    public partial class Usuario
    {
        public int Id { get; set; }
        public string? Dni { get; set; }
        public string? Nombre { get; set; }
        public string? ApellidoPaterno { get; set; }
        public string? ApellidoMaterno { get; set; }
        public DateTime? FechaNacimiento { get; set; }
        public string? Sexo { get; set; }
    }
}

SIGAJA/Controllers/HomeController.cs
using Microsoft.AspNetCore.Mvc;
using SIGAJA.Models;
using System.Diagnostics;

namespace SIGAJA.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

SIGAJA/Controllers/UsuariosController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using SIGAJA.Models;

namespace SIGAJA.Controllers
{
    public class UsuariosController : Controller
    {
        private readonly SIGAJA_IEPContext _context;

        public UsuariosController(SIGAJA_IEPContext context)
        {
            _context = context;
        }

        // GET: Usuarios
        public async Task<IActionResult> Index()
        {
              return _context.Usuarios != null ? 
                          View(await _context.Usuarios.ToListAsync()) :
                          Problem("Entity set 'SIGAJA_IEPContext.Usuarios'  is null.");
        }

        // GET: Usuarios/Details/5
        public async Task<IActionResult> Details(int? id)
        {
            if (id == null || _context.Usuarios == null)
            {
                return NotFound();
            }

            var usuario = await _context.Usuarios
                .FirstOrDefaultAsync(m => m.Id == id);
            if (usuario == null)
            {
                return NotFound();
            }

            return View(usuario);
        }

        // GET: Usuarios/Create
        public IActionResult Create()
        {
            return View();
        }

        // POST: Usuarios/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Id,Dni,Nombre,ApellidoPaterno,ApellidoMaterno,FechaNacimiento,Sexo")] Usuario usuario)
        {
            if (ModelState.IsValid)
            {
                _context.Add(usuario);
                await _context.SaveChangesAsync();
                return RedirectToAction(nameof(Index));
            }
            return View(usuario);
        }

        // GET: Usuarios/Edit/5
        public async Task<IActionResult> Edit(int? id)
        {
            if (id == null || _context.Usuarios == null)
            {
                return NotFound();
            }

            var usuario = await _context.Usuarios.FindAsync(id);
            if (usuario == null)
            {
                return NotFound();
            }
            return View(usuario);
        }

        // POST: Usuarios/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, [Bind("Id,Dni,Nombre,ApellidoPaterno,ApellidoMaterno,FechaNacimiento,Sexo")] Usuario usuario)
        {
            if (id != usuario.Id)
            {
                return NotFound();
            }

            if (ModelState.IsValid)
            {
                try
                {
                    _context.Update(usuario);
                    await _context.SaveChangesAsync();
                }
                catch (DbUpdateConcurrencyException)
                {
                    if (!UsuarioExists(usuario.Id))
                    {
                        return NotFound();
                    }
                    else
                    {
                        throw;
                    }
                }
                return RedirectToAction(nameof(Index));
            }
            return View(usuario);
        }

        // GET: Usuarios/Delete/5
        public async Task<IActionResult> Delete(int? id)
        {
            if (id == null || _context.Usuarios == null)
            {
                return NotFound();
            }

            var usuario = await _context.Usuarios
                .FirstOrDefaultAsync(m => m.Id == id);
            if (usuario == null)
            {
                return NotFound();
            }

            return View(usuario);
        }

        // POST: Usuarios/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> DeleteConfirmed(int id)
        {
            if (_context.Usuarios == null)
            {
                return Problem("Entity set 'SIGAJA_IEPContext.Usuarios'  is null.");
            }
            var usuario = await _context.Usuarios.FindAsync(id);
            if (usuario != null)
            {
                _context.Usuarios.Remove(usuario);
            }
            
            await _context.SaveChangesAsync();
            return RedirectToAction(nameof(Index));
        }

        private bool UsuarioExists(int id)
        {
          return (_context.Usuarios?.Any(e => e.Id == id)).GetValueOrDefault();
        }
    }
}

SIGAJA/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<!DOCTYPE html>
<html lang="en">
<head>
 
    <script>
        var colores = ['#FFD700', '#00FF00', '#FF6347', '#4169E1', '#FF00FF', '#FFFF00', '#00CED1', '#FF4500', '#8A2BE2', '#008000'];
        var colorIndex = 0;

        function cambiarColorFondo() {
            var body = document.body;
            body.style.backgroundColor = colores[colorIndex];//cambio
            colorIndex = (colorIndex + 1) % colores.length;//click
        }
    </script>
</head>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"]</title>

    <!-- Agregar estilo personalizado -->
    <style>
        body {
            background-color: #87CEEB; 
        }
        .display-4 {
            font-weight: bold;
            font-size: 6em;
        }

        .display-5 {
            font-weight: bold;
            font-size: 5em;
        }
    </style>
</head>
<body>
    <div class="text-center">
        <h1 class="display-4">BIENVENIDO AL COLEGIO</h1>
        <h1 class="display-5">JESUS AMIGO</h1>
        <img src="imagen.imgJesusAmigo.jpg" alt="Imagen Jesús Amigo" class="img-fluid" />
        <p>--<a href="https://maps.app.goo.gl/uUKfiAsbqmZwjGzc8?g_st=iw">Nuestra ubicacion </a>.--</p>
        <button onclick="cambiarColorFondo()">Cambiar Color de Fondo</button>
    </div>
</body>
</html>

SIGAJA/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - SIGAJA</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/SIGAJA.styles.css" asp-append-version="true" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container-fluid">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">SIGAJA</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex justify-content-between">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>
                      @*    <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a> 
                        </li> *@
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Usuarios" asp-action="Index">Usuarios</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2024 - SIGAJA - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>

SIGAJA/Views/Usuarios/Create.cshtml
@model SIGAJA.Models.Usuario

@{
    ViewData["Title"] = "Create";
}

<h1>Create</h1>

<h4>Usuario</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Dni" class="control-label"></label>
                <input asp-for="Dni" class="form-control" />
                <span asp-validation-for="Dni" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Nombre" class="control-label"></label>
                <input asp-for="Nombre" class="form-control" />
                <span asp-validation-for="Nombre" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ApellidoPaterno" class="control-label"></label>
                <input asp-for="ApellidoPaterno" class="form-control" />
                <span asp-validation-for="ApellidoPaterno" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ApellidoMaterno" class="control-label"></label>
                <input asp-for="ApellidoMaterno" class="form-control" />
                <span asp-validation-for="ApellidoMaterno" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="FechaNacimiento" class="control-label"></label>
                <input asp-for="FechaNacimiento" class="form-control" />
                <span asp-validation-for="FechaNacimiento" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Sexo" class="control-label"></label>
                <input asp-for="Sexo" class="form-control" />
                <span asp-validation-for="Sexo" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

SIGAJA/Views/Usuarios/Delete.cshtml
@model SIGAJA.Models.Usuario

@{
    ViewData["Title"] = "Delete";
}

<h1>Delete</h1>

<h3>Estas seguro que deseas eliminar ?</h3>
<div>
    <h4>Usuario</h4>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Dni)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Dni)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Nombre)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Nombre)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.ApellidoPaterno)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.ApellidoPaterno)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.ApellidoMaterno)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.ApellidoMaterno)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.FechaNacimiento)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.FechaNacimiento)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Sexo)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Sexo)
        </dd>
    </dl>
    
    <form asp-action="Delete">
        <input type="hidden" asp-for="Id" />
        <input type="submit" value="Delete" class="btn btn-danger" /> |
        <a asp-action="Index">Back to List</a>
    </form>
</div>

SIGAJA/Views/Usuarios/Details.cshtml
@model SIGAJA.Models.Usuario

@{
    ViewData["Title"] = "Details";
}

<h1>Details</h1>

<div>
    <h4>Usuario</h4>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Dni)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Dni)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Nombre)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Nombre)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.ApellidoPaterno)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.ApellidoPaterno)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.ApellidoMaterno)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.ApellidoMaterno)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.FechaNacimiento)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.FechaNacimiento)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Sexo)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Sexo)
        </dd>
    </dl>
</div>
<div>
    <a asp-action="Edit" asp-route-id="@Model?.Id">Edit</a> |
    <a asp-action="Index">Back to List</a>
</div>

SIGAJA/Views/Usuarios/Edit.cshtml
@model SIGAJA.Models.Usuario

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>Usuario</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <label asp-for="Dni" class="control-label"></label>
                <input asp-for="Dni" class="form-control" />
                <span asp-validation-for="Dni" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Nombre" class="control-label"></label>
                <input asp-for="Nombre" class="form-control" />
                <span asp-validation-for="Nombre" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ApellidoPaterno" class="control-label"></label>
                <input asp-for="ApellidoPaterno" class="form-control" />
                <span asp-validation-for="ApellidoPaterno" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ApellidoMaterno" class="control-label"></label>
                <input asp-for="ApellidoMaterno" class="form-control" />
                <span asp-validation-for="ApellidoMaterno" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="FechaNacimiento" class="control-label"></label>
                <input asp-for="FechaNacimiento" class="form-control" />
                <span asp-validation-for="FechaNacimiento" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Sexo" class="control-label"></label>
                <input asp-for="Sexo" class="form-control" />
                <span asp-validation-for="Sexo" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

SIGAJA/Views/Usuarios/Index.cshtml
@model IEnumerable<SIGAJA.Models.Usuario>

@{
    ViewData["Title"] = "Index new";
}

<h1>Index</h1>

<p>
    <a asp-action="Create" class="btn btn-success">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Dni)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Nombre)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ApellidoPaterno)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ApellidoMaterno)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.FechaNacimiento)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Sexo)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Dni)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Nombre)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ApellidoPaterno)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ApellidoMaterno)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.FechaNacimiento)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Sexo)
            </td>
            <td>
                <a asp-action="Edit" class="btn btn-warning" asp-route-id="@item.Id">Edit</a> |
                    <a asp-action="Details" class="btn btn-primary" asp-route-id="@item.Id">Details</a> |
                    <a asp-action="Delete" class="btn btn-danger" asp-route-id="@item.Id">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>